GHSA-j543-vg33-g6vj

Suggest an improvement
Source
https://github.com/advisories/GHSA-j543-vg33-g6vj
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/06/GHSA-j543-vg33-g6vj/GHSA-j543-vg33-g6vj.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-j543-vg33-g6vj
Published
2024-06-07T21:11:29Z
Modified
2024-06-07T21:11:29Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
ZendFramework potential Cross-site Scripting vector in `Zend_Dojo_View_Helper_Editor`
Details

Zend_Dojo_View_Helper_Editor was incorrectly decorating a TEXTAREA instead of a DIV. The Dojo team has reported that this has security implications as the rich text editor they use is unable to escape content for a TEXTAREA.

References

Affected packages

Packagist / zendframework/zendframework1

Package

Name
zendframework/zendframework1
Purl
pkg:composer/zendframework/zendframework1

Affected ranges

Type
ECOSYSTEM
Events
Introduced
1.7.0
Fixed
1.7.9

Packagist / zendframework/zendframework1

Package

Name
zendframework/zendframework1
Purl
pkg:composer/zendframework/zendframework1

Affected ranges

Type
ECOSYSTEM
Events
Introduced
1.8.0
Fixed
1.8.5

Packagist / zendframework/zendframework1

Package

Name
zendframework/zendframework1
Purl
pkg:composer/zendframework/zendframework1

Affected ranges

Type
ECOSYSTEM
Events
Introduced
1.9.0
Fixed
1.9.7